<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.11"/>
<title>eRPC Generator (erpcgen): Class Members - Functions</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
<link href="customdoxygen.css" rel="stylesheet" type="text/css"/>
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">eRPC Generator (erpcgen)
   &#160;<span id="projectnumber">Rev. 1.4.0</span>
   </div>
   <div id="projectbrief">NXP Semiconductors</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.11 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="hierarchy.html"><span>Class&#160;Hierarchy</span></a></li>
      <li class="current"><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="navrow3" class="tabs2">
    <ul class="tablist">
      <li><a href="functions.html"><span>All</span></a></li>
      <li class="current"><a href="functions_func.html"><span>Functions</span></a></li>
      <li><a href="functions_vars.html"><span>Variables</span></a></li>
      <li><a href="functions_type.html"><span>Typedefs</span></a></li>
      <li><a href="functions_enum.html"><span>Enumerations</span></a></li>
      <li><a href="functions_eval.html"><span>Enumerator</span></a></li>
    </ul>
  </div>
  <div id="navrow4" class="tabs3">
    <ul class="tablist">
      <li><a href="functions_func.html#index__"><span>_</span></a></li>
      <li><a href="functions_func_a.html#index_a"><span>a</span></a></li>
      <li><a href="functions_func_b.html#index_b"><span>b</span></a></li>
      <li><a href="functions_func_c.html#index_c"><span>c</span></a></li>
      <li><a href="functions_func_d.html#index_d"><span>d</span></a></li>
      <li><a href="functions_func_e.html#index_e"><span>e</span></a></li>
      <li><a href="functions_func_f.html#index_f"><span>f</span></a></li>
      <li class="current"><a href="functions_func_g.html#index_g"><span>g</span></a></li>
      <li><a href="functions_func_h.html#index_h"><span>h</span></a></li>
      <li><a href="functions_func_i.html#index_i"><span>i</span></a></li>
      <li><a href="functions_func_j.html#index_j"><span>j</span></a></li>
      <li><a href="functions_func_l.html#index_l"><span>l</span></a></li>
      <li><a href="functions_func_m.html#index_m"><span>m</span></a></li>
      <li><a href="functions_func_n.html#index_n"><span>n</span></a></li>
      <li><a href="functions_func_o.html#index_o"><span>o</span></a></li>
      <li><a href="functions_func_p.html#index_p"><span>p</span></a></li>
      <li><a href="functions_func_r.html#index_r"><span>r</span></a></li>
      <li><a href="functions_func_s.html#index_s"><span>s</span></a></li>
      <li><a href="functions_func_t.html#index_t"><span>t</span></a></li>
      <li><a href="functions_func_u.html#index_u"><span>u</span></a></li>
      <li><a href="functions_func_v.html#index_v"><span>v</span></a></li>
      <li><a href="functions_func_w.html#index_w"><span>w</span></a></li>
      <li><a href="functions_func_y.html#index_y"><span>y</span></a></li>
      <li><a href="functions_func_0x7e.html#index_0x7e"><span>~</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('functions_func_g.html','');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="contents">
&#160;

<h3><a class="anchor" id="index_g"></a>- g -</h3><ul>
<li>generate()
: <a class="el" href="classerpcgen_1_1_c_generator.html#ab9c6578a4bc52f0f722ce98fc6b74700">erpcgen::CGenerator</a>
, <a class="el" href="classerpcgen_1_1_generator.html#ac0f9c23d8eafcdcf87af6ff311766811">erpcgen::Generator</a>
, <a class="el" href="classerpcgen_1_1_python_generator.html#ad16dff80cfd6557f8ebd94ac52cf0b7a">erpcgen::PythonGenerator</a>
</li>
<li>generateClientFile()
: <a class="el" href="classerpcgen_1_1_python_generator.html#a2089e01eceb16260cc331687cceddfaa">erpcgen::PythonGenerator</a>
</li>
<li>generateClientSourceFile()
: <a class="el" href="classerpcgen_1_1_c_generator.html#a86886af52e1b3ff7d6eb07a66ddc255b">erpcgen::CGenerator</a>
</li>
<li>generateCommonFile()
: <a class="el" href="classerpcgen_1_1_python_generator.html#a72086513216a45445c5a5a8c4a76c46f">erpcgen::PythonGenerator</a>
</li>
<li>generateCommonHeaderFile()
: <a class="el" href="classerpcgen_1_1_c_generator.html#a7300fa3425fed7c2acd734fb41ffb104">erpcgen::CGenerator</a>
</li>
<li>generateIncludeGuardName()
: <a class="el" href="classerpcgen_1_1_c_generator.html#a640c9dbc6472a061891df256bfc23c27">erpcgen::CGenerator</a>
</li>
<li>generateInitFile()
: <a class="el" href="classerpcgen_1_1_python_generator.html#a6be8642a52699e67a25cc871eaad71d4">erpcgen::PythonGenerator</a>
</li>
<li>generateInterfaceFile()
: <a class="el" href="classerpcgen_1_1_python_generator.html#a8a6db075f452a06cc42bf6fe690c22c9">erpcgen::PythonGenerator</a>
</li>
<li>generateInterfaceOutputFiles()
: <a class="el" href="classerpcgen_1_1_generator.html#ad567bdbf502afe9532fb7851443de6af">erpcgen::Generator</a>
</li>
<li>generateOutputFile()
: <a class="el" href="classerpcgen_1_1_generator.html#a2361005441df20adab606197c72d3ccd">erpcgen::Generator</a>
</li>
<li>generateOutputFiles()
: <a class="el" href="classerpcgen_1_1_c_generator.html#a1f790fe2fbff087532c4d89ebaca0dcc">erpcgen::CGenerator</a>
, <a class="el" href="classerpcgen_1_1_generator.html#a04a8c839676144808195e21e6153729d">erpcgen::Generator</a>
, <a class="el" href="classerpcgen_1_1_python_generator.html#a3c02297f1492e80536de6a693e92faee">erpcgen::PythonGenerator</a>
</li>
<li>generateServerFile()
: <a class="el" href="classerpcgen_1_1_python_generator.html#a93a809338bbbf64d52d77a356571ac98">erpcgen::PythonGenerator</a>
</li>
<li>generateServerFunctionParamFreeFunctions()
: <a class="el" href="classerpcgen_1_1_c_generator.html#a0b388801d89a04a8da3ef0c0476cf921">erpcgen::CGenerator</a>
</li>
<li>generateServerHeaderFile()
: <a class="el" href="classerpcgen_1_1_c_generator.html#a01079ed7ef699e70a3813bd1846fc080">erpcgen::CGenerator</a>
</li>
<li>generateServerSourceFile()
: <a class="el" href="classerpcgen_1_1_c_generator.html#ac0c4e6e1da39404fe7f8f43243fdb722">erpcgen::CGenerator</a>
</li>
<li>Generator()
: <a class="el" href="classerpcgen_1_1_generator.html#a3cdaad2927e4ce4018ba1c3982d9371d">erpcgen::Generator</a>
</li>
<li>get()
: <a class="el" href="classsmart__ptr.html#ae6d32c0876260a672fc0348baf8ed1b9">smart_ptr&lt; T, delete_policy &gt;</a>
</li>
<li>getAliasName()
: <a class="el" href="classerpcgen_1_1_c_generator.html#abe41ea641ae5b4423347598d7da28693">erpcgen::CGenerator</a>
</li>
<li>getAliasType()
: <a class="el" href="classerpcgen_1_1_c_generator.html#ab644d8f72d63c915cd38b354b424becb">erpcgen::CGenerator</a>
</li>
<li>getAnnotations()
: <a class="el" href="classerpcgen_1_1_symbol.html#a8ac0fa46b91ae20ff49c62cfab29a810">erpcgen::Symbol</a>
</li>
<li>getAnnotationValue()
: <a class="el" href="classerpcgen_1_1_symbol_scanner.html#ae54de042f4e6cb0c6882e5a937edba48">erpcgen::SymbolScanner</a>
</li>
<li>getAst()
: <a class="el" href="classerpcgen_1_1_interface_definition.html#a9bc3ebd4a3083d22f7df6b281f8f8943">erpcgen::InterfaceDefinition</a>
</li>
<li>getAttribute()
: <a class="el" href="classerpcgen_1_1_ast_node.html#abbb9fcfb549677f64e71b3345b17ef53">erpcgen::AstNode</a>
</li>
<li>getBuiltinType()
: <a class="el" href="classerpcgen_1_1_builtin_type.html#a2f067a043464e7157495a8f29d62899e">erpcgen::BuiltinType</a>
</li>
<li>getBuiltinTypename()
: <a class="el" href="classerpcgen_1_1_c_generator.html#ab42d9d112c1bbbe531176a7fcad7d410">erpcgen::CGenerator</a>
, <a class="el" href="classerpcgen_1_1_python_generator.html#a7fa7069b3fc9bba5f5210b24a8fa5d92">erpcgen::PythonGenerator</a>
</li>
<li>getCaseName()
: <a class="el" href="classerpcgen_1_1_union_case.html#a5ee69727cfb26572250e4dec49b09ef3">erpcgen::UnionCase</a>
</li>
<li>getCases()
: <a class="el" href="classerpcgen_1_1_union_type.html#a48dfb389a100918e91bcef2203e0ad4a">erpcgen::UnionType</a>
</li>
<li>getCaseValue()
: <a class="el" href="classerpcgen_1_1_union_case.html#ac2df9e28cc6a8067a552e095871f3141">erpcgen::UnionCase</a>
</li>
<li>getChild()
: <a class="el" href="classerpcgen_1_1_ast_node.html#a651cbcd73e0c4c0b75b8c21334bf3bbd">erpcgen::AstNode</a>
</li>
<li>getContainList()
: <a class="el" href="classerpcgen_1_1_struct_member.html#a3f05e701c6e4c01957a16b671eab3f80">erpcgen::StructMember</a>
</li>
<li>getContainString()
: <a class="el" href="classerpcgen_1_1_struct_member.html#a877241e3a6fdc53b31f62a8a14acbc61">erpcgen::StructMember</a>
</li>
<li>getDataType()
: <a class="el" href="classerpcgen_1_1_const_type.html#ae26b523412fd69f2eae4259f3c680aeb">erpcgen::ConstType</a>
, <a class="el" href="classerpcgen_1_1_data_type.html#a419dd8a1abb25920c2cfccacb9f77f8e">erpcgen::DataType</a>
, <a class="el" href="classerpcgen_1_1_struct_member.html#a92f8df6a8dbb699d5f28c987e0956693">erpcgen::StructMember</a>
</li>
<li>getDataTypeForConst()
: <a class="el" href="classerpcgen_1_1_symbol_scanner.html#acde41fe4095aea2af8c986cb58df3ad3">erpcgen::SymbolScanner</a>
</li>
<li>getDescription()
: <a class="el" href="classerpcgen_1_1_alias_type.html#a1dcefef6c4e73b429ebfddc13d056d9c">erpcgen::AliasType</a>
, <a class="el" href="classerpcgen_1_1_array_type.html#a1c5a4e6413834ed1d286ae56d4566f85">erpcgen::ArrayType</a>
, <a class="el" href="classerpcgen_1_1_ast_node.html#ab2dfef2691fc7d9acaa2731732cb7e6f">erpcgen::AstNode</a>
, <a class="el" href="classerpcgen_1_1_enum_member.html#a72f031925bbc83f049e07fd04bd16abe">erpcgen::EnumMember</a>
, <a class="el" href="classerpcgen_1_1_enum_type.html#a7b1138290c55479bfd939a61eaceb392">erpcgen::EnumType</a>
, <a class="el" href="classerpcgen_1_1_function.html#af39ae0adaa0ebbc0600adffabae6f7a3">erpcgen::Function</a>
, <a class="el" href="classerpcgen_1_1_interface.html#ade63c1971950aa637c43e44adb627686">erpcgen::Interface</a>
, <a class="el" href="classerpcgen_1_1_list_type.html#acd69b19dae89b94123a97cbfad33ba0c">erpcgen::ListType</a>
, <a class="el" href="classerpcgen_1_1_struct_member.html#a839ee493aa6fafaac3dda9ec292ed1dd">erpcgen::StructMember</a>
, <a class="el" href="classerpcgen_1_1_struct_type.html#a78421cc24d8632d9eb95b76e2e68dbbe">erpcgen::StructType</a>
, <a class="el" href="classerpcgen_1_1_symbol.html#a84732dc398fd0cbf64d53d45db1cc8c5">erpcgen::Symbol</a>
, <a class="el" href="classerpcgen_1_1_union_case.html#a7320ae973aa328691dda768227d3cbe5">erpcgen::UnionCase</a>
, <a class="el" href="classerpcgen_1_1_union_type.html#ae8ca991afd47858d15e1cea0a37f27b5">erpcgen::UnionType</a>
, <a class="el" href="classerpcgen_1_1_void_type.html#a329b76a4ef8e30637e7607883772b0e3">erpcgen::VoidType</a>
</li>
<li>getDirection()
: <a class="el" href="classerpcgen_1_1_c_generator.html#a5050ee35493541e3e0a16cbb59b60c7a">erpcgen::CGenerator</a>
, <a class="el" href="classerpcgen_1_1_struct_member.html#ae784419535ea70a6f3551a912ba059a1">erpcgen::StructMember</a>
</li>
<li>getDiscriminatorName()
: <a class="el" href="classerpcgen_1_1_union_type.html#a24ba483c24634b07d88677d775e72fcb">erpcgen::UnionType</a>
</li>
<li>getElementCount()
: <a class="el" href="classerpcgen_1_1_array_type.html#a7fa9b165e478e946a467d7f26a57a91f">erpcgen::ArrayType</a>
</li>
<li>getElementType()
: <a class="el" href="classerpcgen_1_1_alias_type.html#a54cbf9a51946e47728620f625baa5f43">erpcgen::AliasType</a>
, <a class="el" href="classerpcgen_1_1_array_type.html#abc461583752e7f1218d7f966457b9b5c">erpcgen::ArrayType</a>
, <a class="el" href="classerpcgen_1_1_list_type.html#a4a6243a52627f44bc40761b794c3d17b">erpcgen::ListType</a>
</li>
<li>getEncodeDecodeBuiltin()
: <a class="el" href="classerpcgen_1_1_c_generator.html#aaa69437662bb894cc0e2ec4c4b2bb2c6">erpcgen::CGenerator</a>
</li>
<li>getEncodeDecodeCall()
: <a class="el" href="classerpcgen_1_1_c_generator.html#a5891036b6cf1b38c021b92b8b8337f9f">erpcgen::CGenerator</a>
</li>
<li>getEnumMembersTemplateData()
: <a class="el" href="classerpcgen_1_1_c_generator.html#adbe55ddeb9507be1fef87e81b656c52a">erpcgen::CGenerator</a>
, <a class="el" href="classerpcgen_1_1_python_generator.html#a2af3aec5e6e3fee1417287f4c12c5cfc">erpcgen::PythonGenerator</a>
</li>
<li>getEnumTemplateData()
: <a class="el" href="classerpcgen_1_1_c_generator.html#a7c752d19c7a9d36d23718224986b4096">erpcgen::CGenerator</a>
</li>
<li>getErrorHandlingChecksType()
: <a class="el" href="classerpcgen_1_1_interface_definition.html#abea5734bd3b08db5fe988ec1e1653a1d">erpcgen::InterfaceDefinition</a>
</li>
<li>getErrorReturnValue()
: <a class="el" href="classerpcgen_1_1_c_generator.html#a587f0f668869323f6bbd109d75a49cb6">erpcgen::CGenerator</a>
</li>
<li>getExtraDirectionPointer()
: <a class="el" href="classerpcgen_1_1_c_generator.html#a4a8123efe2fd83bb09c57b296ea5f9d7">erpcgen::CGenerator</a>
</li>
<li>getExtraPointerInReturn()
: <a class="el" href="classerpcgen_1_1_c_generator.html#af3bc04eee5f3a88333cbad2cd60ec4fe">erpcgen::CGenerator</a>
</li>
<li>getFileName()
: <a class="el" href="classerpcgen_1_1_erpc_lexer.html#a73c80263e93bd44e21b47a5d05a83ec3">erpcgen::ErpcLexer</a>
</li>
<li>getFilterLevel()
: <a class="el" href="class_logger.html#a65f0668007317623100b0eac42ae6796">Logger</a>
</li>
<li>getFirstLine()
: <a class="el" href="classerpcgen_1_1_symbol.html#a927c69a16cbb47ca6c8d5b4f8a213887">erpcgen::Symbol</a>
, <a class="el" href="classerpcgen_1_1_token.html#a6d939b79bd2f8e11ef4699ba388128f7">erpcgen::Token</a>
</li>
<li>getFunctionPrototype()
: <a class="el" href="classerpcgen_1_1_c_generator.html#a3df7b53d1942c4ea09376a08096ef201">erpcgen::CGenerator</a>
, <a class="el" href="classerpcgen_1_1_python_generator.html#a17395cf9ce0091195739d7424e07afa5">erpcgen::PythonGenerator</a>
</li>
<li>getFunctions()
: <a class="el" href="classerpcgen_1_1_interface.html#a08a3aa3a3ef86cc8be10a85ececa37e0">erpcgen::Interface</a>
</li>
<li>getFunctionServerCall()
: <a class="el" href="classerpcgen_1_1_c_generator.html#a5db64bd610949d6012d4ef57416aecaa">erpcgen::CGenerator</a>
</li>
<li>getFunctionsTemplateData()
: <a class="el" href="classerpcgen_1_1_generator.html#a9b0db56f5abef7040856a38536fe3cdb">erpcgen::Generator</a>
</li>
<li>getFunctionTemplateData()
: <a class="el" href="classerpcgen_1_1_c_generator.html#ab2661d944ae53d2736acb2f399aa4108">erpcgen::CGenerator</a>
, <a class="el" href="classerpcgen_1_1_generator.html#af584473d961351d743af2631e57729d3">erpcgen::Generator</a>
, <a class="el" href="classerpcgen_1_1_python_generator.html#a701aef64326c5d473977c223eb59cf9c">erpcgen::PythonGenerator</a>
</li>
<li>getGlobals()
: <a class="el" href="classerpcgen_1_1_interface_definition.html#a75ea44989d648f061e056a0860c6b006">erpcgen::InterfaceDefinition</a>
</li>
<li>getGlobalSearcher()
: <a class="el" href="class_path_searcher.html#a2d808911bacf77ecb43afd7f3de08a8e">PathSearcher</a>
</li>
<li>getIlComment()
: <a class="el" href="classerpcgen_1_1_symbol.html#acec60e332ab5bf223e8c5d92f9a732f0">erpcgen::Symbol</a>
</li>
<li>getIndex()
: <a class="el" href="classerpcgen_1_1_ast_node.html#a077d782a18bdfb22d8a10a828481088c">erpcgen::AstNode</a>
</li>
<li>getIndexOfChild()
: <a class="el" href="classerpcgen_1_1_ast_node.html#aed311b11f950bd3cf65e1a66e96a3cc1">erpcgen::AstNode</a>
</li>
<li>getInterfaceComments()
: <a class="el" href="classerpcgen_1_1_c_generator.html#a56e771f73ad9cc20a2a5c96179e256bc">erpcgen::CGenerator</a>
, <a class="el" href="classerpcgen_1_1_generator.html#affcbe9c5b2f53e1746caea439321f482">erpcgen::Generator</a>
, <a class="el" href="classerpcgen_1_1_python_generator.html#a07ac859fb98d3f5c1f7a3d3901db4a9e">erpcgen::PythonGenerator</a>
</li>
<li>getIntExprValue()
: <a class="el" href="classerpcgen_1_1_symbol_scanner.html#aa92bcf3194cca555ec59bc7f5ecc2eb6">erpcgen::SymbolScanner</a>
</li>
<li>getIntValue()
: <a class="el" href="classerpcgen_1_1_token.html#aed83235df1cf776ad8bf02cd495add8b">erpcgen::Token</a>
</li>
<li>getLastLine()
: <a class="el" href="classerpcgen_1_1_symbol.html#a00bb74bbfea291f784e65484bf54664b">erpcgen::Symbol</a>
, <a class="el" href="classerpcgen_1_1_token.html#a93275be49c283568f1106ad8aaf1953f">erpcgen::Token</a>
</li>
<li>getLengthVariableName()
: <a class="el" href="classerpcgen_1_1_list_type.html#aec9df9fe871c9013f7a22d785f428f5a">erpcgen::ListType</a>
</li>
<li>getLocation()
: <a class="el" href="classerpcgen_1_1_annotation.html#aef0bc8ff519273c631b0b79213650e0b">erpcgen::Annotation</a>
, <a class="el" href="classerpcgen_1_1_erpc_lexer.html#a9a3eb417b005dfbfc8336531d077c5b7">erpcgen::ErpcLexer</a>
, <a class="el" href="classerpcgen_1_1_symbol.html#a44f21abf207fcdda09415d1eaa32f348">erpcgen::Symbol</a>
, <a class="el" href="classerpcgen_1_1_token.html#a85ec4239831971830ed20543f52fdedf">erpcgen::Token</a>
</li>
<li>getLogger()
: <a class="el" href="class_log.html#a8196cc2d2e0f3729089ae75cd176af1e">Log</a>
</li>
<li>getMaxLength()
: <a class="el" href="classerpcgen_1_1_c_generator.html#a5550963c282367d4cead05d19c142585">erpcgen::CGenerator</a>
</li>
<li>getMember()
: <a class="el" href="classerpcgen_1_1_enum_type.html#a8c218f5df40c18eb9856ec51387d71c4">erpcgen::EnumType</a>
</li>
<li>getMemberDeclarationNames()
: <a class="el" href="classerpcgen_1_1_union_case.html#ae8f2aa18dbb053b5c1573c5333887b44">erpcgen::UnionCase</a>
</li>
<li>getMembers()
: <a class="el" href="classerpcgen_1_1_enum_type.html#a3937f8b85c8a02780bb6e0ddbd945a03">erpcgen::EnumType</a>
, <a class="el" href="classerpcgen_1_1_struct_type.html#a741c0d4973fc315ef82adc4d13dfd9f0">erpcgen::StructType</a>
</li>
<li>getMlComment()
: <a class="el" href="classerpcgen_1_1_symbol.html#a85fc3b86b1d1935f3017f8d5db3a2111">erpcgen::Symbol</a>
</li>
<li>getName()
: <a class="el" href="classerpcgen_1_1_annotation.html#ac6d4173cec7d8af927ce985be66a3c17">erpcgen::Annotation</a>
, <a class="el" href="classerpcgen_1_1_symbol.html#a84c290b9cf7672b0f94aea9ff27acf1f">erpcgen::Symbol</a>
</li>
<li>getNextToken()
: <a class="el" href="classerpcgen_1_1_erpc_lexer.html#a25505498563ccb947e7b9c4be3fc4f21">erpcgen::ErpcLexer</a>
</li>
<li>getNextValue()
: <a class="el" href="classerpcgen_1_1_enum_type.html#a6a9782db4697448eb895f2b48afa0200">erpcgen::EnumType</a>
</li>
<li>getOutputDirectory()
: <a class="el" href="classerpcgen_1_1_interface_definition.html#a88555ec3da97a4c7e917592edba7181f">erpcgen::InterfaceDefinition</a>
</li>
<li>getOutputFilename()
: <a class="el" href="classerpcgen_1_1_interface_definition.html#accf4b920cee5f58be75e2fbef4de7943">erpcgen::InterfaceDefinition</a>
</li>
<li>getOutputLevel()
: <a class="el" href="class_logger.html#a9cb967d830ff2cff918ce4eb67154301">Logger</a>
</li>
<li>getParameters()
: <a class="el" href="classerpcgen_1_1_function.html#a6953f5229fcae777112563e67aa828e8">erpcgen::Function</a>
</li>
<li>getParent()
: <a class="el" href="classerpcgen_1_1_ast_node.html#a71886c95f8fe70f115ccba2883cb4f08">erpcgen::AstNode</a>
, <a class="el" href="classerpcgen_1_1_symbol_scope.html#a740e7cba7d12e1f06c0ad4485f102dd2">erpcgen::SymbolScope</a>
</li>
<li>getParentStruct()
: <a class="el" href="classerpcgen_1_1_union_type.html#a6f25e14871e1ff00a579a09b255c746f">erpcgen::UnionType</a>
</li>
<li>getProgramName()
: <a class="el" href="classerpcgen_1_1_interface_definition.html#a3db153cb26de7b9e86d6b5d4dc3fb822">erpcgen::InterfaceDefinition</a>
</li>
<li>getReturnType()
: <a class="el" href="classerpcgen_1_1_function.html#ace9145ddf18c26edd2c7d08601ed6a58">erpcgen::Function</a>
</li>
<li>getScope()
: <a class="el" href="classerpcgen_1_1_interface.html#a332008916b0644e8e7d90abdfd3dcae6">erpcgen::Interface</a>
, <a class="el" href="classerpcgen_1_1_struct_type.html#aefdf672a209ed84db6a7f55fd8d84d9b">erpcgen::StructType</a>
</li>
<li>getSize()
: <a class="el" href="class_sized_integer_value.html#a5f562780ec677f1221400942b19350ab">SizedIntegerValue</a>
</li>
<li>getStringValue()
: <a class="el" href="classerpcgen_1_1_token.html#a529bcbe793ece2b890f087ad294768cc">erpcgen::Token</a>
</li>
<li>getStructTemplateData()
: <a class="el" href="classerpcgen_1_1_c_generator.html#ae577195c00823172ba006ac651dc14a6">erpcgen::CGenerator</a>
</li>
<li>getSymbol()
: <a class="el" href="classerpcgen_1_1_symbol_scope.html#a307cfc7cdbb201f06062fddf48b4948a">erpcgen::SymbolScope</a>
</li>
<li>getSymbolPos()
: <a class="el" href="classerpcgen_1_1_symbol_scope.html#a7384e2d0f0b23f936cb4d6ca9b4cc516">erpcgen::SymbolScope</a>
</li>
<li>getSymbolsOfType()
: <a class="el" href="classerpcgen_1_1_symbol_scope.html#a57d278b24988d3e7555399e3813e9d84">erpcgen::SymbolScope</a>
</li>
<li>getSymbolType()
: <a class="el" href="classerpcgen_1_1_symbol.html#acc2311d1d0acf78dc31a86c7959ce34e">erpcgen::Symbol</a>
</li>
<li>getTime()
: <a class="el" href="classerpcgen_1_1_generator.html#a8074117561e53454365caf7ff9a359af">erpcgen::Generator</a>
</li>
<li>getToken()
: <a class="el" href="classerpcgen_1_1_ast_node.html#a56d14536ef1c2dd5ddf2e02bfa87e2eb">erpcgen::AstNode</a>
, <a class="el" href="classerpcgen_1_1_token.html#a18b0e0cd57e19499e656f71ddfe6cd86">erpcgen::Token</a>
</li>
<li>getTokenName()
: <a class="el" href="classerpcgen_1_1_token.html#ac79f6d9819dc53da2b8d4c5dde4ee041">erpcgen::Token</a>
</li>
<li>getTokenString()
: <a class="el" href="classerpcgen_1_1_ast_node.html#ad56b39de022d91dc3a72f81be94f0783">erpcgen::AstNode</a>
</li>
<li>getTokenValue()
: <a class="el" href="classerpcgen_1_1_ast_node.html#a8c085f49a7b1b3fd70184c886874b881">erpcgen::AstNode</a>
</li>
<li>getTrueContainerDataType()
: <a class="el" href="classerpcgen_1_1_data_type.html#a3f310d7f1d272a9389ad285ba920134a">erpcgen::DataType</a>
</li>
<li>getTrueDataType()
: <a class="el" href="classerpcgen_1_1_data_type.html#a5a996dbde6578d38f035695c6a567bab">erpcgen::DataType</a>
</li>
<li>getTypeInfo()
: <a class="el" href="classerpcgen_1_1_c_generator.html#a90e41b20a5b43f19dd05ed6f1b519360">erpcgen::CGenerator</a>
, <a class="el" href="classerpcgen_1_1_python_generator.html#a0de3310fe219907a4d8905424ad837a6">erpcgen::PythonGenerator</a>
</li>
<li>getTypenameName()
: <a class="el" href="classerpcgen_1_1_c_generator.html#ad762335d91574ac8661d0cf7d46ef207">erpcgen::CGenerator</a>
</li>
<li>getUnionMemberDeclaration()
: <a class="el" href="classerpcgen_1_1_union_case.html#ac49bff6bd8c8d74426e46b19f6e81394">erpcgen::UnionCase</a>
, <a class="el" href="classerpcgen_1_1_union_type.html#a5e3e218d7ca62202024b716e65049c7a">erpcgen::UnionType</a>
</li>
<li>getUnionMemberDeclarations()
: <a class="el" href="classerpcgen_1_1_union_type.html#ad3f4faf0ca9bb525d1e8c15a44030018">erpcgen::UnionType</a>
</li>
<li>getUniqueCases()
: <a class="el" href="classerpcgen_1_1_union_type.html#a5f91fb1760b5014e39f8ed1de5deeb70">erpcgen::UnionType</a>
</li>
<li>getUniqueId()
: <a class="el" href="classerpcgen_1_1_function.html#ac42b51e2cbdb50cfd29e0a381af572c2">erpcgen::Function</a>
, <a class="el" href="classerpcgen_1_1_interface.html#ac0ca719823770af363b680af4ef1db74">erpcgen::Interface</a>
</li>
<li>getValue()
: <a class="el" href="classerpcgen_1_1_const_type.html#acc814b59dd3d5bf544767e377d6323c1">erpcgen::ConstType</a>
, <a class="el" href="classerpcgen_1_1_enum_member.html#a52c61d8869f285868244250bf00e0a7e">erpcgen::EnumMember</a>
, <a class="el" href="classerpcgen_1_1_token.html#a62502955d98b6828f9b63c6ea93d1b69">erpcgen::Token</a>
</li>
<li>getValueForConst()
: <a class="el" href="classerpcgen_1_1_symbol_scanner.html#a9ac20033318390d892f89e6b979c9cf6">erpcgen::SymbolScanner</a>
</li>
<li>getValueFromSymbol()
: <a class="el" href="classerpcgen_1_1_symbol_scanner.html#aebf449e771d235701c27d9aac189fe8e">erpcgen::SymbolScanner</a>
</li>
<li>getValueObject()
: <a class="el" href="classerpcgen_1_1_annotation.html#ac907c227156887ae849bb1ae64989dd5">erpcgen::Annotation</a>
</li>
<li>getWordSizeMask()
: <a class="el" href="class_sized_integer_value.html#a7d762ebed81251fa584b5e77cfc8d32a">SizedIntegerValue</a>
</li>
<li>giveBracesToArrays()
: <a class="el" href="classerpcgen_1_1_c_generator.html#a7ce55201f189cda01982abf8d70b104a">erpcgen::CGenerator</a>
</li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- HTML footer for doxygen 1.8.5-->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul class="foot">
    <li class="footer">&copy; 2016 NXP Semiconductors. All rights reserved.
    </li>
  </ul>
</div>
</body>
</html>
